org.eclipse.emf.compare.ide.ui.internal.logical.resolver

## Interface IResourceDependencyProvider

All Known Implementing Classes:
  ResourceDependencyProvider

    public interface IResourceDependencyProvider

A resource dependency provider is in charge of providing the dependencies of resources (local or remote resources, remote meaning hosted in git for instance).

### Method Summary

All Methods Instance Methods Abstract Methods
`Iterable<URI>` `getDependenciesOf(org.eclipse.core.resources.IFile file)` Provides the dependencies of the given file.
`Iterable<URI>` `getDependenciesOf(org.eclipse.core.resources.IFile file, Set<URI> bounds)` Provides the dependencies of the given file.
`boolean` `hasChild(URI parent, URI candidate)` Indicates whether the given parent has the given URI as child according to the graph of dependencies.

### Method Detail

#### getDependenciesOf

    Iterable<URI> getDependenciesOf(org.eclipse.core.resources.IFile file)

Provides the dependencies of the given file.

Parameters:
  `file` - The file
Returns:
  The file's dependencies, as a never null Iterable over the dependencies `URI`s.

#### getDependenciesOf

    Iterable<URI> getDependenciesOf(org.eclipse.core.resources.IFile file,
                                    Set<URI> bounds)

Provides the dependencies of the given file.

Parameters:
  `file` - The file
  `bounds` - The bounds to exclude from the research, in cas the compared resources are part of the same logical model.
Returns:
  The file's dependencies, as a never null Iterable over the dependencies `URI`s.

#### hasChild

    boolean hasChild(URI parent,
                     URI candidate)

Indicates whether the given parent has the given URI as child according to the graph of dependencies.

Parameters:
  `parent` - The parent URI
  `candidate` - The candidate child
Returns:
  `true` if and only if the candidate URI is known as a child of the parent URI in the graph of dependencies.